<div>
    <mat-card>
        <mat-card-header>
            <div mat-card-avatar>
                <mat-icon>person</mat-icon>
            </div>
            <mat-card-title>
                <ng-container [ngSwitch]="isNew">
                    <ng-container *ngSwitchCase="false">
                        {{socio?.cognome}} {{socio?.nome}}
                    </ng-container>
                    <ng-container *ngSwitchCase="true">
                        Nuovo Socio
                    </ng-container>
                </ng-container>
            </mat-card-title>
            <mat-card-subtitle style="margin-bottom: 0;">{{socio?.nickname}}</mat-card-subtitle>
            <ng-container *ngIf="socio && !isNew">
                <div class="contacts">
                    <button *ngIf="socio.email" mat-icon-button (click)="openMailDialog()"><mat-icon>mail</mat-icon></button>
                    <a *ngIf="socio.telefono && mediaService.isMobile()" href="tel:{{socio.telefono}}" mat-icon-button><mat-icon>phone</mat-icon></a>
                </div>
                <div class="actions">
                    <button mat-raised-button (click)="openFileDialog()">Certificati</button>
                    <button mat-button color="warn" (click)="openConfirmDialog()">
                        <mat-icon>delete_forever</mat-icon>
                        Elimina
                    </button>
                </div>
            </ng-container>
        </mat-card-header>
    </mat-card>
</div>

<div style="padding-top: 20px;" [@routerTransition]="getState(o)">
    <router-outlet #o="outlet"></router-outlet>
</div>
